Package org.apache.velocity.runtime.directive

# Class MacroParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.velocity.runtime.parser.ParseException
org.apache.velocity.runtime.directive.MacroParseException

All Implemented Interfaces:
  `Serializable`, `ExtendedParseException`

public class MacroParseException extends ParseException implements ExtendedParseException
Exception to indicate problem happened while constructing #macro() For internal use in parser - not to be passed to app level

Version:
  $Id$
Author:
  Geir Magnusson Jr., Henning P. Schmiedehausen
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.ParseException

`currentToken, eol, expectedTokenSequences, specialConstructor, tokenImage`

## Constructor Summary

Constructors
Constructor
Description
`MacroParseException(String msg, String templateName, Token currentToken)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`appendTemplateInfo(StringBuilder sb)`
`int`
`getColumnNumber()`
returns the column number where this exception occured.
`int`
`getLineNumber()`
returns the line number where this exception occured.
`String`
`getMessage()`
This method has the standard behavior when this object has been created using the standard constructors.
`String`
`getTemplateName()`
returns the Template name where this exception occured.

### Methods inherited from class org.apache.velocity.runtime.parser.ParseException

`add_escapes`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MacroParseException

public MacroParseException(String msg, String templateName, Token currentToken)

Parameters:
  `msg` -
  `templateName` -
  `currentToken` -

## Method Details

### getTemplateName

public String getTemplateName()
returns the Template name where this exception occured.

Specified by:
  `getTemplateName` in interface `ExtendedParseException`
Returns:
  The Template name where this exception occured.
Since:
  1.5

### getLineNumber

public int getLineNumber()
returns the line number where this exception occured.

Specified by:
  `getLineNumber` in interface `ExtendedParseException`
Returns:
  The line number where this exception occured.
Since:
  1.5

### getColumnNumber

public int getColumnNumber()
returns the column number where this exception occured.

Specified by:
  `getColumnNumber` in interface `ExtendedParseException`
Returns:
  The column number where this exception occured.
Since:
  1.5

### getMessage

public String getMessage()
This method has the standard behavior when this object has been created using the standard constructors. Otherwise, it uses "currentToken" and "expectedTokenSequences" to generate a parse error message and returns it. If this object has been created due to a parse error, and you do not catch it (it gets thrown from the parser), then this method is called during the printing of the final stack trace, and hence the correct error message gets displayed.

Overrides:
  `getMessage` in class `ParseException`
Returns:
  the current message.
Since:
  1.5

### appendTemplateInfo

protected void appendTemplateInfo(StringBuilder sb)

Parameters:
  `sb` -
Since:
  1.5